Loading...
Searching...
No Matches
Constants

## Macros

#define | Y_LOG_MODE_NONE 0x00000000
#define | Y_LOG_MODE_CONSOLE 0x000000F0
#define | Y_LOG_MODE_SYSLOG 0x00000F00
#define | Y_LOG_MODE_FILE 0x0000F000
#define | Y_LOG_MODE_JOURNALD 0x000F0000
#define | Y_LOG_MODE_CALLBACK 0x00F00000
#define | Y_LOG_MODE_CURRENT 0xFFFFFFFF
#define | Y_LOG_LEVEL_NONE 0x0000
#define | Y_LOG_LEVEL_ERROR 0x000F
#define | Y_LOG_LEVEL_WARNING 0x00F0
#define | Y_LOG_LEVEL_INFO 0x0F00
#define | Y_LOG_LEVEL_DEBUG 0xF000
#define | Y_LOG_LEVEL_CURRENT 0xFFFF
#define | Y_SPLIT_CURRENT -1

## Detailed Description

## Macro Definition Documentation

## Y_LOG_LEVEL_CURRENT

#define Y_LOG_LEVEL_CURRENT 0xFFFF

## Y_LOG_LEVEL_DEBUG

#define Y_LOG_LEVEL_DEBUG 0xF000

## Y_LOG_LEVEL_ERROR

#define Y_LOG_LEVEL_ERROR 0x000F

## Y_LOG_LEVEL_INFO

#define Y_LOG_LEVEL_INFO 0x0F00

## Y_LOG_LEVEL_NONE

#define Y_LOG_LEVEL_NONE 0x0000

## Y_LOG_LEVEL_WARNING

#define Y_LOG_LEVEL_WARNING 0x00F0

## Y_LOG_MODE_CALLBACK

#define Y_LOG_MODE_CALLBACK 0x00F00000

## Y_LOG_MODE_CONSOLE

#define Y_LOG_MODE_CONSOLE 0x000000F0

## Y_LOG_MODE_CURRENT

#define Y_LOG_MODE_CURRENT 0xFFFFFFFF

## Y_LOG_MODE_FILE

#define Y_LOG_MODE_FILE 0x0000F000

## Y_LOG_MODE_JOURNALD

#define Y_LOG_MODE_JOURNALD 0x000F0000

## Y_LOG_MODE_NONE

#define Y_LOG_MODE_NONE 0x00000000

## Y_LOG_MODE_SYSLOG

#define Y_LOG_MODE_SYSLOG 0x00000F00

## Y_SPLIT_CURRENT

#define Y_SPLIT_CURRENT -1